##### 7.5.4.0. reiffen

Procedure from library `dmod.lib` (see dmod_lib).

Usage:
  reiffen(p, q); int p, int q

Return:
  ring

Purpose:
  set up the polynomial, describing a Reiffen curve

Note:
  activate the output ring with the `setring` command and
  find the curve as a polynomial RC.
  A Reiffen curve is defined as RC = x^p + y^q + xy^{q-1}, q >= p+1 >= 5

Example:

    LIB "dmod.lib";
    def r = reiffen(4,5);
    setring r;
    RC;
    ==> xy4+y5+x4

User manual for Singular version 4.4.1, 2025, generated by texi2html.